Bug 122116 - Upgrade shells/zsh to 4.3.5 and fix some bugs
Upgrade shells/zsh to 4.3.5 and fix some bugs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dag-Erling Smørgrav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 15:00 UTC by baptiste.daroussin
Modified: 2008-06-06 12:27 UTC (History)
0 users

See Also:


Attachments
zsh-4.3.5.patch (23.01 KB, patch)
2008-03-27 10:18 UTC, baptiste.daroussin
no flags Details | Diff
zsh-4.3.6.patch (24.22 KB, patch)
2008-04-02 15:23 UTC, baptiste.daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2008-03-26 15:00:01 UTC
This path update the zsh port to 4.3.5 version
it also fix a bug with umount completion
it uses the new --with-term-lib to detect ncurses

--- zsh-4.3.5.patch begins here ---
diff -Naur zsh.orig/Makefile zsh/Makefile
--- zsh.orig/Makefile	2008-02-12 08:27:53.000000000 +0100
+++ zsh/Makefile	2008-03-26 12:08:01.000000000 +0100
@@ -21,8 +21,8 @@
 #			NOTE: does NOT have to be inside ${PREFIX} tree
 
 PORTNAME=	zsh
-PORTVERSION=	4.3.4
-PORTREVISION=	3
+PORTVERSION=	4.3.5
+PORTREVISION=	1
 CATEGORIES=	shells
 MASTER_SITES=	SF
 .if !defined(NOPORTDOCS)
@@ -43,7 +43,7 @@
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" \
 		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
-CONFIGURE_ARGS=	--with-curses-terminfo --with-tcsetpgrp \
+CONFIGURE_ARGS=	--with-term-lib="ncursesw ncurses" --with-tcsetpgrp \
 		--enable-etcdir=${ZSH_ETCDIR} \
 		--enable-fndir=${ZSH_FNDIR} --enable-function-subdirs \
 		--enable-site-fndir=${ZSH_SITEFNDIR}
diff -Naur zsh.orig/distinfo zsh/distinfo
--- zsh.orig/distinfo	2007-07-30 18:21:41.000000000 +0200
+++ zsh/distinfo	2008-03-26 12:13:10.000000000 +0100
@@ -1,6 +1,3 @@
-MD5 (zsh-4.3.4.tar.bz2) = 8410a30e4f5c6160790bc3afc096424f
-SHA256 (zsh-4.3.4.tar.bz2) = 6fa0e22cb0da3a02c115425097002f2b4bb56e412db6c821ca111e088cbfdec6
-SIZE (zsh-4.3.4.tar.bz2) = 2374851
-MD5 (zsh-4.3.4-doc.tar.bz2) = 1a4ab09a9d75c5ae8585ad645406f27d
-SHA256 (zsh-4.3.4-doc.tar.bz2) = e74289f99479328b8bcee9c47ae07038e54437e860fb5487da57cfc8d1836777
-SIZE (zsh-4.3.4-doc.tar.bz2) = 2358063
+MD5 (zsh-4.3.5.tar.bz2) = db0d4b71da8e5877fa1e29d4cea38b8c
+SHA256 (zsh-4.3.5.tar.bz2) = ebe74df173d5b713e4e839e691da279dc9b4d4d0d98b9886cc725217e9902105
+SIZE (zsh-4.3.5.tar.bz2) = 2513384
diff -Naur zsh.orig/files/patch-Completion-Unix-Command-_mount zsh/files/patch-Completion-Unix-Command-_mount
--- zsh.orig/files/patch-Completion-Unix-Command-_mount	2007-10-05 10:22:46.000000000 +0200
+++ zsh/files/patch-Completion-Unix-Command-_mount	2008-03-26 11:50:41.000000000 +0100
@@ -11,3 +11,16 @@
      done
      ;;
    esac
+--- Completion/Unix/Command/_mount.orig	2008-03-26 11:44:54.000000000 +0100
++++ Completion/Unix/Command/_mount	2008-03-26 11:33:24.000000000 +0100
+@@ -870,8 +870,8 @@
+ 
+   _alternative \
+     'device-labels:device label:compadd -a dev_tmp' \
+-    'device-paths: device path:_canonical_paths -A dpath_tmp -N device-paths device\ path' \
+-    'directories:mount point:_canonical_paths -A mp_tmp -N directories mount\ point' && ret=0
++    'device-paths: device path:compadd -a dpath_tmp' \
++    'directories:mount point:compadd -a mp_tmp' && ret=0
+   ;;
+ esac
+ 
diff -Naur zsh.orig/files/patch-Completion-Unix-Command-_subversion zsh/files/patch-Completion-Unix-Command-_subversion
--- zsh.orig/files/patch-Completion-Unix-Command-_subversion	2008-02-06 20:20:16.000000000 +0100
+++ zsh/files/patch-Completion-Unix-Command-_subversion	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
---- Completion/Unix/Command/_subversion	2007/04/19 20:37:04	1.24
-+++ Completion/Unix/Command/_subversion	2008/01/31 16:16:36	1.25
-@@ -30,7 +30,7 @@
- 
-         usage=${${(M)${(f)"$(LC_ALL=C _call_program options svn help $cmd)"}:#usage:*}#usage:*$cmd] }
-         args=(
--          ${=${${${(M)${(f)"$(LC_ALL=C _call_program options svn help $cmd)"##*Valid options:}:#* :*}%% #:*}/ arg/:arg:}/(#b)-([[:alpha:]]) \[--([a-z-]##)\](:arg:)#/(--$match[2])-$match[1]$match[3] (-$match[1])--$match[2]$match[3]}
-+          ${=${${${(M)${(f)"$(LC_ALL=C _call_program options svn help $cmd)"#(*Valid options:|(#e))}:#* :*}%% #:*}/ (arg|ARG)/:arg:}/(#b)-([[:alpha:]]) \[--([a-z-]##)\](:arg:)#/(--$match[2])-$match[1]$match[3] (-$match[1])--$match[2]$match[3]}
-         )
- 
-         case $cmd in;
-@@ -148,7 +148,7 @@
- 
-         usage=${${(M)${(f)"$(LC_ALL=C _call_program options svnadmin help $cmd)"}:#$cmd: usage:*}#$cmd: usage: svnadmin $cmd }
-         args=(
--          ${=${${${(M)${(f)"$(LC_ALL=C _call_program options svnadmin help $cmd)"##*Valid options:}:#*:*}%% #:*}/ arg/:arg:}/(#b)-([[:alpha:]]) \[--([a-z-]##)\](:arg:)#/(--$match[2])-$match[1]$match[3] (-$match[1])--$match[2]$match[3]}
-+          ${=${${${(M)${(f)"$(LC_ALL=C _call_program options svnadmin help $cmd)"#(*Valid options:|(#e))}:#* :*}%% #:*}/ (arg|ARG)/:arg:}/(#b)-([[:alpha:]]) \[--([a-z-]##)\](:arg:)#/(--$match[2])-$match[1]$match[3] (-$match[1])--$match[2]$match[3]}
-         )
-         if [[ $_svnadmin_subcmd_usage == *REPOS_PATH* ]]; then
-           args+=( ":path:_files -/" )
diff -Naur zsh.orig/files/patch-Config_installfns.sh zsh/files/patch-Config_installfns.sh
--- zsh.orig/files/patch-Config_installfns.sh	2007-07-30 18:21:42.000000000 +0200
+++ zsh/files/patch-Config_installfns.sh	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
---- Config/installfns.sh.orig	Mon Mar 20 08:06:24 2006
-+++ Config/installfns.sh	Thu Jul 26 11:10:23 2007
-@@ -45,10 +45,9 @@
-       esac
-     fi
-     test -d $instdir || /bin/sh $sdir_top/mkinstalldirs $instdir || exit 1
-+    $INSTALL_DATA $sdir_top/$file $instdir || exit 1
-     if test -x $sdir_top/$file; then
--	$INSTALL_PROGRAM $sdir_top/$file $instdir || exit 1
--    else
--	$INSTALL_DATA $sdir_top/$file $instdir || exit 1
-+       chmod +x $instdir/`echo $file | sed -e 's%^.*/%%'`
-     fi
-   fi
- done
diff -Naur zsh.orig/files/patch-Src::utils.c zsh/files/patch-Src::utils.c
--- zsh.orig/files/patch-Src::utils.c	2007-07-30 18:21:42.000000000 +0200
+++ zsh/files/patch-Src::utils.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,23 +0,0 @@
---- Src/utils.c.orig	Tue Apr 17 10:57:15 2007
-+++ Src/utils.c	Wed Jul 25 15:13:58 2007
-@@ -1092,6 +1092,7 @@
- time_t lastmailcheck;
- 
- /* the last time we checked the people in the WATCH variable */
-+extern char *_mktemp(char *);
- 
- /**/
- time_t lastwatch;
-@@ -4569,11 +4570,11 @@
-     int count;
- #else
-     unsigned int wval;
-+    size_t count;
- # if defined(HAVE_NL_LANGINFO) && defined(CODESET) && defined(HAVE_ICONV)
-     iconv_t cd;
-     char inbuf[4];
-     size_t inbytes, outbytes;
--    size_t count;
- # endif
- #endif
- 
diff -Naur zsh.orig/files/patch-environ zsh/files/patch-environ
--- zsh.orig/files/patch-environ	2007-10-05 10:22:46.000000000 +0200
+++ zsh/files/patch-environ	1970-01-01 01:00:00.000000000 +0100
@@ -1,253 +0,0 @@
-diff -u Src/exec.c Src/exec.c
---- Src/exec.c	2007-02-14 10:11:19.000000000 -0600
-+++ Src/exec.c	2007-07-31 08:49:13.000000000 -0500
-@@ -501,7 +501,16 @@
-      * that as argv[0] for this external command       */
-     if (unset(RESTRICTED) && (z = zgetenv("ARGV0"))) {
- 	setdata(firstnode(args), (void *) ztrdup(z));
-+	/*
-+	 * Note we don't do anything with the parameter structure
-+	 * for ARGV0: that's OK since we're about to exec or exit
-+	 * on failure.
-+	 */
-+#ifdef USE_SET_UNSET_ENV
-+	unsetenv("ARGV0");
-+#else
- 	delenvvalue(z - 6);
-+#endif
-     } else if (dash) {
-     /* Else if the pre-command `-' was given, we add `-' *
-      * to the front of argv[0] for this command.         */
-diff -u Src/params.c Src/params.c
---- Src/params.c	2007-04-13 06:40:27.000000000 -0500
-+++ Src/params.c	2007-07-31 08:49:13.000000000 -0500
-@@ -606,7 +606,7 @@
- createparamtable(void)
- {
-     Param ip, pm;
--#ifndef HAVE_PUTENV
-+#if !defined(HAVE_PUTENV) && !defined(USE_SET_UNSET_ENV)
-     char **new_environ;
-     int  envsize;
- #endif
-@@ -661,7 +661,7 @@
- 
-     setsparam("LOGNAME", ztrdup((str = getlogin()) && *str ? str : cached_username));
- 
--#ifndef HAVE_PUTENV
-+#if !defined(HAVE_PUTENV) && !defined(USE_SET_UNSET_ENV)
-     /* Copy the environment variables we are inheriting to dynamic *
-      * memory, so we can do mallocs and frees on it.               */
-     envsize = sizeof(char *)*(1 + arrlen(environ));
-@@ -3727,6 +3727,30 @@
- int
- zputenv(char *str)
- {
-+#ifdef USE_SET_UNSET_ENV
-+    /*
-+     * If we are using unsetenv() to remove values from the
-+     * environment, which is the safe thing to do, we
-+     * need to use setenv() to put them there in the first place.
-+     * Unfortunately this is a slightly different interface
-+     * from what zputenv() assumes.
-+     */
-+    char *ptr;
-+    int ret;
-+
-+    for (ptr = str; *ptr && *ptr != '='; ptr++)
-+	;
-+    if (*ptr) {
-+	*ptr = '\0';
-+	ret = setenv(str, ptr+1, 1);
-+	*ptr = '=';
-+    } else {
-+	/* safety first */
-+	DPUTS(1, "bad environment string");
-+	ret = setenv(str, ptr, 1);
-+    }
-+    return ret;
-+#else
- #ifdef HAVE_PUTENV
-     return putenv(str);
- #else
-@@ -3750,9 +3774,12 @@
-     }
-     return 0;
- #endif
-+#endif
- }
- 
- /**/
-+#ifndef USE_SET_UNSET_ENV
-+/**/
- static int
- findenv(char *name, int *pos)
- {
-@@ -3771,6 +3798,8 @@
-     
-     return 0;
- }
-+/**/
-+#endif
- 
- /* Given *name = "foo", it searches the environment for string *
-  * "foo=bar", and returns a pointer to the beginning of "bar"  */
-@@ -3811,14 +3840,18 @@
- void
- addenv(Param pm, char *value)
- {
--    char *oldenv = 0, *newenv = 0, *env = 0;
-+    char *newenv = 0;
-+#ifndef USE_SET_UNSET_ENV
-+    char *oldenv = 0, *env = 0;
-     int pos;
- 
--    /* First check if there is already an environment *
--     * variable matching string `name'. If not, and   *
--     * we are not requested to add new, return        */
-+    /*
-+     * First check if there is already an environment
-+     * variable matching string `name'.
-+     */
-     if (findenv(pm->node.nam, &pos))
- 	oldenv = environ[pos];
-+#endif
- 
-      newenv = mkenvstr(pm->node.nam, value, pm->node.flags);
-      if (zputenv(newenv)) {
-@@ -3826,6 +3859,19 @@
- 	pm->env = NULL;
- 	return;
-     }
-+#ifdef USE_SET_UNSET_ENV
-+     /*
-+      * If we are using setenv/unsetenv to manage the environment,
-+      * we simply store the string we created in pm->env since
-+      * memory management of the environment is handled entirely
-+      * by the system.
-+      *
-+      * TODO: is this good enough to fix problem cases from
-+      * the other branch?  If so, we don't actually need to
-+      * store pm->env at all, just a flag that the value was set.
-+      */
-+     pm->env = newenv;
-+#else
-     /*
-      * Under Cygwin we must use putenv() to maintain consistency.
-      * Unfortunately, current version (1.1.2) copies argument and may
-@@ -3845,6 +3891,7 @@
- 
-     DPUTS(1, "addenv should never reach the end");
-     pm->env = NULL;
-+#endif
- }
- 
- 
-@@ -3875,6 +3922,7 @@
-  * string.                                         */
- 
- 
-+#ifndef USE_SET_UNSET_ENV
- /**/
- void
- delenvvalue(char *x)
-@@ -3890,6 +3938,8 @@
-     }
-     zsfree(x);
- }
-+#endif
-+
- 
- /* Delete a pointer from the list of pointers to environment *
-  * variables by shifting all the other pointers up one slot. */
-@@ -3898,7 +3948,12 @@
- void
- delenv(Param pm)
- {
-+#ifdef USE_SET_UNSET_ENV
-+    unsetenv(pm->node.nam);
-+    zsfree(pm->env);
-+#else
-     delenvvalue(pm->env);
-+#endif
-     pm->env = NULL;
-     /*
-      * Note we don't remove PM_EXPORT from the flags.  This
-diff -u Src/system.h Src/system.h
---- Src/system.h	2007-04-13 05:11:31.000000000 -0500
-+++ Src/system.h	2007-07-31 08:49:13.000000000 -0500
-@@ -693,6 +693,15 @@
- 
- extern char **environ;
- 
-+/*
-+ * We always need setenv and unsetenv in pairs, because
-+ * we don't know how to do memory management on the values set.
-+ */
-+#if defined(HAVE_SETENV) && defined(HAVE_UNSETENV)
-+# define USE_SET_UNSET_ENV
-+#endif
-+
-+
- /* These variables are sometimes defined in, *
-  * and needed by, the termcap library.       */
- #if MUST_DEFINE_OSPEED
-diff -u Test/B02typeset.ztst Test/B02typeset.ztst
---- Test/B02typeset.ztst	2006-06-26 13:17:32.000000000 -0500
-+++ Test/B02typeset.ztst	2007-07-31 08:49:13.000000000 -0500
-@@ -379,3 +379,31 @@
- >integer local i
- >local tagged scalar
- >preserved
-+
-+ export ENVFOO=bar
-+ print ENVFOO in environment
-+ env | grep '^ENVFOO'
-+ print Changing ENVFOO
-+ ENVFOO="not bar any more"
-+ env | grep '^ENVFOO'
-+ unset ENVFOO
-+ print ENVFOO no longer in environment
-+ env | grep '^ENVFOO'
-+1:Adding and removing values to and from the environment
-+>ENVFOO in environment
-+>ENVFOO=bar
-+>Changing ENVFOO
-+>ENVFOO=not bar any more
-+>ENVFOO no longer in environment
-+
-+ (export FOOENV=BAR
-+ env | grep '^FOOENV'
-+ print Exec
-+ exec $ZTST_testdir/../Src/zsh -c '
-+ print Unset
-+ unset FOOENV
-+ env | grep "^FOOENV"')
-+1:Can unset environment variables after exec
-+>FOOENV=BAR
-+>Exec
-+>Unset
-diff -u configure configure
---- configure	2007-01-18 10:33:17.000000000 -0600
-+++ configure	2007-07-31 08:49:06.000000000 -0500
-@@ -10263,7 +10263,7 @@
- 	       setlocale \
- 	       uname \
- 	       signgam \
--	       putenv getenv \
-+	       putenv getenv setenv unsetenv xw \
- 	       brk sbrk \
- 	       pathconf sysconf \
- 	       tgetent tigetflag tigetnum tigetstr setupterm \
-diff -u configure.ac configure.ac
---- configure.ac	2007-01-05 07:58:04.000000000 -0600
-+++ configure.ac	2007-07-31 08:49:06.000000000 -0500
-@@ -1126,7 +1126,7 @@
- 	       setlocale \
- 	       uname \
- 	       signgam \
--	       putenv getenv \
-+	       putenv getenv setenv unsetenv xw\
- 	       brk sbrk \
- 	       pathconf sysconf \
- 	       tgetent tigetflag tigetnum tigetstr setupterm \
diff -Naur zsh.orig/pkg-plist zsh/pkg-plist
--- zsh.orig/pkg-plist	2007-07-30 18:21:41.000000000 +0200
+++ zsh/pkg-plist	2008-03-26 14:26:19.000000000 +0100
@@ -14,6 +14,7 @@
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/complete.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/complist.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/computil.so
+%%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/curses.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/datetime.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/deltochar.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/example.so
@@ -26,6 +27,7 @@
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/newuser.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/parameter.so
 %%PCRE%%%%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/pcre.so
+%%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/regex.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/rlimits.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/sched.so
 %%NO_STATIC%%lib/zsh/%%ZSH_VER%%/zsh/stat.so
@@ -51,6 +53,7 @@
 %%ZSH_FNDIR%%/Calendar/calendar_add
 %%ZSH_FNDIR%%/Calendar/calendar_edit
 %%ZSH_FNDIR%%/Calendar/calendar_lockfiles
+%%ZSH_FNDIR%%/Calendar/calendar_parse
 %%ZSH_FNDIR%%/Calendar/calendar_read
 %%ZSH_FNDIR%%/Calendar/calendar_scandate
 %%ZSH_FNDIR%%/Calendar/calendar_show
@@ -88,6 +91,7 @@
 %%ZSH_FNDIR%%/Completion/Base/_complete
 %%ZSH_FNDIR%%/Completion/Base/_complete_debug
 %%ZSH_FNDIR%%/Completion/Base/_complete_help
+%%ZSH_FNDIR%%/Completion/Base/_complete_help_generic
 %%ZSH_FNDIR%%/Completion/Base/_complete_tag
 %%ZSH_FNDIR%%/Completion/Base/_correct
 %%ZSH_FNDIR%%/Completion/Base/_correct_filename
@@ -170,24 +174,31 @@
 %%ZSH_FNDIR%%/Completion/Debian/_debfoster
 %%ZSH_FNDIR%%/Completion/Debian/_debsign
 %%ZSH_FNDIR%%/Completion/Debian/_dlocate
+%%ZSH_FNDIR%%/Completion/Debian/_dpatch-edit-patch
 %%ZSH_FNDIR%%/Completion/Debian/_dpkg
 %%ZSH_FNDIR%%/Completion/Debian/_dpkg-cross
+%%ZSH_FNDIR%%/Completion/Debian/_dpkg_repack
 %%ZSH_FNDIR%%/Completion/Debian/_dpkg_source
 %%ZSH_FNDIR%%/Completion/Debian/_dput
 %%ZSH_FNDIR%%/Completion/Debian/_dupload
 %%ZSH_FNDIR%%/Completion/Debian/_invoke-rc.d
+%%ZSH_FNDIR%%/Completion/Debian/_lighttpd
 %%ZSH_FNDIR%%/Completion/Debian/_linda
 %%ZSH_FNDIR%%/Completion/Debian/_lintian
 %%ZSH_FNDIR%%/Completion/Debian/_madison
 %%ZSH_FNDIR%%/Completion/Debian/_make-kpkg
+%%ZSH_FNDIR%%/Completion/Debian/_members
 %%ZSH_FNDIR%%/Completion/Debian/_mergechanges
 %%ZSH_FNDIR%%/Completion/Debian/_module-assistant
 %%ZSH_FNDIR%%/Completion/Debian/_piuparts
+%%ZSH_FNDIR%%/Completion/Debian/_reprepro
 %%ZSH_FNDIR%%/Completion/Debian/_schroot
+%%ZSH_FNDIR%%/Completion/Debian/_svn-buildpackage
 %%ZSH_FNDIR%%/Completion/Debian/_toolchain-source
 %%ZSH_FNDIR%%/Completion/Debian/_update-alternatives
 %%ZSH_FNDIR%%/Completion/Debian/_update-rc.d
 %%ZSH_FNDIR%%/Completion/Debian/_uscan
+%%ZSH_FNDIR%%/Completion/Debian/_vim-addons
 %%ZSH_FNDIR%%/Completion/Debian/_wajig
 %%ZSH_FNDIR%%/Completion/Debian/_wanna-build
 %%ZSH_FNDIR%%/Completion/Linux/_acpi
@@ -200,6 +211,7 @@
 %%ZSH_FNDIR%%/Completion/Linux/_iptables
 %%ZSH_FNDIR%%/Completion/Linux/_iwconfig
 %%ZSH_FNDIR%%/Completion/Linux/_losetup
+%%ZSH_FNDIR%%/Completion/Linux/_lsusb
 %%ZSH_FNDIR%%/Completion/Linux/_mii-tool
 %%ZSH_FNDIR%%/Completion/Linux/_modutils
 %%ZSH_FNDIR%%/Completion/Linux/_mondo
@@ -239,6 +251,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_canonical_paths
 %%ZSH_FNDIR%%/Completion/Unix/_ccal
 %%ZSH_FNDIR%%/Completion/Unix/_cdcd
+%%ZSH_FNDIR%%/Completion/Unix/_cdrdao
 %%ZSH_FNDIR%%/Completion/Unix/_cdrecord
 %%ZSH_FNDIR%%/Completion/Unix/_chkconfig
 %%ZSH_FNDIR%%/Completion/Unix/_chmod
@@ -252,6 +265,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_cplay
 %%ZSH_FNDIR%%/Completion/Unix/_cssh
 %%ZSH_FNDIR%%/Completion/Unix/_ctags_tags
+%%ZSH_FNDIR%%/Completion/Unix/_cut
 %%ZSH_FNDIR%%/Completion/Unix/_cvs
 %%ZSH_FNDIR%%/Completion/Unix/_darcs
 %%ZSH_FNDIR%%/Completion/Unix/_date
@@ -264,6 +278,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_diffstat
 %%ZSH_FNDIR%%/Completion/Unix/_dir_list
 %%ZSH_FNDIR%%/Completion/Unix/_directories
+%%ZSH_FNDIR%%/Completion/Unix/_dmidecode
 %%ZSH_FNDIR%%/Completion/Unix/_domains
 %%ZSH_FNDIR%%/Completion/Unix/_du
 %%ZSH_FNDIR%%/Completion/Unix/_dvi
@@ -287,6 +302,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_fuser
 %%ZSH_FNDIR%%/Completion/Unix/_gcc
 %%ZSH_FNDIR%%/Completion/Unix/_gdb
+%%ZSH_FNDIR%%/Completion/Unix/_genisoimage
 %%ZSH_FNDIR%%/Completion/Unix/_getconf
 %%ZSH_FNDIR%%/Completion/Unix/_getent
 %%ZSH_FNDIR%%/Completion/Unix/_getmail
@@ -301,10 +317,13 @@
 %%ZSH_FNDIR%%/Completion/Unix/_grep
 %%ZSH_FNDIR%%/Completion/Unix/_groff
 %%ZSH_FNDIR%%/Completion/Unix/_groups
+%%ZSH_FNDIR%%/Completion/Unix/_growisofs
 %%ZSH_FNDIR%%/Completion/Unix/_gs
+%%ZSH_FNDIR%%/Completion/Unix/_guilt
 %%ZSH_FNDIR%%/Completion/Unix/_gzip
 %%ZSH_FNDIR%%/Completion/Unix/_hosts
 %%ZSH_FNDIR%%/Completion/Unix/_iconv
+%%ZSH_FNDIR%%/Completion/Unix/_id
 %%ZSH_FNDIR%%/Completion/Unix/_ifconfig
 %%ZSH_FNDIR%%/Completion/Unix/_imagemagick
 %%ZSH_FNDIR%%/Completion/Unix/_init_d
@@ -318,6 +337,8 @@
 %%ZSH_FNDIR%%/Completion/Unix/_knock
 %%ZSH_FNDIR%%/Completion/Unix/_kvno
 %%ZSH_FNDIR%%/Completion/Unix/_last
+%%ZSH_FNDIR%%/Completion/Unix/_ld_debug
+%%ZSH_FNDIR%%/Completion/Unix/_ldd
 %%ZSH_FNDIR%%/Completion/Unix/_less
 %%ZSH_FNDIR%%/Completion/Unix/_links
 %%ZSH_FNDIR%%/Completion/Unix/_list_files
@@ -334,6 +355,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_mailboxes
 %%ZSH_FNDIR%%/Completion/Unix/_make
 %%ZSH_FNDIR%%/Completion/Unix/_man
+%%ZSH_FNDIR%%/Completion/Unix/_md5sum
 %%ZSH_FNDIR%%/Completion/Unix/_mencal
 %%ZSH_FNDIR%%/Completion/Unix/_mercurial
 %%ZSH_FNDIR%%/Completion/Unix/_metaflac
@@ -361,6 +383,7 @@
 %%ZSH_FNDIR%%/Completion/Unix/_other_accounts
 %%ZSH_FNDIR%%/Completion/Unix/_pack
 %%ZSH_FNDIR%%/Completion/Unix/_patch
+%%ZSH_FNDIR%%/Completion/Unix/_path_commands
 %%ZSH_FNDIR%%/Completion/Unix/_path_files
 %%ZSH_FNDIR%%/Completion/Unix/_pax
 %%ZSH_FNDIR%%/Completion/Unix/_pbm
@@ -390,11 +413,13 @@
 %%ZSH_FNDIR%%/Completion/Unix/_quilt
 %%ZSH_FNDIR%%/Completion/Unix/_raggle
 %%ZSH_FNDIR%%/Completion/Unix/_rake
+%%ZSH_FNDIR%%/Completion/Unix/_ranlib
 %%ZSH_FNDIR%%/Completion/Unix/_rar
 %%ZSH_FNDIR%%/Completion/Unix/_rcs
 %%ZSH_FNDIR%%/Completion/Unix/_renice
 %%ZSH_FNDIR%%/Completion/Unix/_rlogin
 %%ZSH_FNDIR%%/Completion/Unix/_ri
+%%ZSH_FNDIR%%/Completion/Unix/_rrdtool
 %%ZSH_FNDIR%%/Completion/Unix/_rsync
 %%ZSH_FNDIR%%/Completion/Unix/_rubber
 %%ZSH_FNDIR%%/Completion/Unix/_ruby
@@ -441,8 +466,10 @@
 %%ZSH_FNDIR%%/Completion/Unix/_tracepath
 %%ZSH_FNDIR%%/Completion/Unix/_twisted
 %%ZSH_FNDIR%%/Completion/Unix/_unace
+%%ZSH_FNDIR%%/Completion/Unix/_uname
 %%ZSH_FNDIR%%/Completion/Unix/_unexpand
 %%ZSH_FNDIR%%/Completion/Unix/_uniq
+%%ZSH_FNDIR%%/Completion/Unix/_units
 %%ZSH_FNDIR%%/Completion/Unix/_urls
 %%ZSH_FNDIR%%/Completion/Unix/_user_admin
 %%ZSH_FNDIR%%/Completion/Unix/_user_at_host
@@ -506,6 +533,7 @@
 %%ZSH_FNDIR%%/Completion/X/_xloadimage
 %%ZSH_FNDIR%%/Completion/X/_xmodmap
 %%ZSH_FNDIR%%/Completion/X/_xpdf
+%%ZSH_FNDIR%%/Completion/X/_xrandr
 %%ZSH_FNDIR%%/Completion/X/_xscreensaver
 %%ZSH_FNDIR%%/Completion/X/_xset
 %%ZSH_FNDIR%%/Completion/X/_xt_arguments
@@ -609,7 +637,12 @@
 %%ZSH_FNDIR%%/Misc/promptnl
 %%ZSH_FNDIR%%/Misc/relative
 %%ZSH_FNDIR%%/Misc/run-help
+%%ZSH_FNDIR%%/Misc/run-help-git
+%%ZSH_FNDIR%%/Misc/run-help-svk
+%%ZSH_FNDIR%%/Misc/run-help-svn
+%%ZSH_FNDIR%%/Misc/sticky-note
 %%ZSH_FNDIR%%/Misc/tetris
+%%ZSH_FNDIR%%/Misc/xtermctl
 %%ZSH_FNDIR%%/Misc/zargs
 %%ZSH_FNDIR%%/Misc/zcalc
 %%ZSH_FNDIR%%/Misc/zed
--- zsh-4.3.5.patch ends here ---
Comment 1 Martin Wilke freebsd_committer 2008-03-26 17:39:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer.
Comment 2 baptiste.daroussin 2008-03-27 10:18:31 UTC
Here is a new patch that add a real fix (from CVS) to umount completion by
correcting _canonical_path

this patch deprecate the previous

--
Bapt
Comment 3 baptiste.daroussin 2008-04-02 15:23:33 UTC
ZSh 4.3.6 is out, with the _canonical_path fix in the path, so here is a path to
the zsh 4.3.4 official ports
Comment 4 dfilter freebsd_committer 2008-05-02 22:13:53 UTC
des         2008-05-02 21:13:47 UTC

  FreeBSD ports repository

  Modified files:
    shells/zsh           Makefile distinfo pkg-plist 
    shells/zsh/files     patch-Completion-Unix-Command-_locate 
  Removed files:
    shells/zsh/files     patch-Completion-Unix-Command-_subversion 
                         patch-Completion-Unix-Type-_canonical_paths 
                         patch-Completion-X-Command-_acroread 
                         patch-Config_installfns.sh 
                         patch-Src::utils.c patch-environ 
  Log:
  Upgrade to 4.3.6, with kind assistance from Baptiste Daroussin
  <baptiste.daroussin@gmail.com>
  
  PR:             ports/122116
  
  Revision  Changes    Path
  1.92      +2 -3      ports/shells/zsh/Makefile
  1.38      +6 -6      ports/shells/zsh/distinfo
  1.2       +2 -31     ports/shells/zsh/files/patch-Completion-Unix-Command-_locate
  1.2       +0 -20     ports/shells/zsh/files/patch-Completion-Unix-Command-_subversion (dead)
  1.2       +0 -20     ports/shells/zsh/files/patch-Completion-Unix-Type-_canonical_paths (dead)
  1.3       +0 -17     ports/shells/zsh/files/patch-Completion-X-Command-_acroread (dead)
  1.2       +0 -15     ports/shells/zsh/files/patch-Config_installfns.sh (dead)
  1.3       +0 -23     ports/shells/zsh/files/patch-Src::utils.c (dead)
  1.2       +0 -253    ports/shells/zsh/files/patch-environ (dead)
  1.39      +45 -6     ports/shells/zsh/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dag-Erling Smørgrav freebsd_committer 2008-06-06 12:27:05 UTC
State Changed
From-To: open->closed

Fixed a long time ago, forgot to close